# -*- coding: utf-8 -*-
"""
Created on Tue Jul  6 13:06:51 2021

@author: jorritbleeker
"""
# Import required libraries for plotting and data handling
import numpy as np
import matplotlib.pyplot as plt

# Import the I/V/t data
Data = np.loadtxt("Stabilitypower.txt")
points = range(2200,217200,5000) #Plotting range for scatter plot

Line = True #Change to false for scatter plot

if Line: 
    t = Data[1200:217200,0]    # Time in seconds (Removed first and last 60s)
    I = Data[1200:217200,1]*-1 # Current in Amperes (Removed first and last 60s)
    V = Data[1200:217200,2]    # Potential in Volts (Removed first and last 60s)
else:
    t = Data[points,0]    # Time in seconds 
    I = Data[points,1]*-1 # Current in Amperes 
    V = Data[points,2]    # Potential in Volts 


# Small calculations
P = I*V                                     # Power in Watts
ElectrodeArea = np.pi*(5.25*10**(-2))**2    # Radius electrode is 5,25 cm
P_dens = P/ElectrodeArea                    # Power density in W/m2

if Line:
    plt.plot(t,P_dens, linewidth = 0.25)
else:
    plt.scatter(t,P_dens, linewidth = 0.25)

plt.ylim(0,0.6)
plt.xlim(3545,3605)
plt.xlabel('Time (s)', fontsize = 12)
plt.ylabel(r'Power density (W/m$^2$)', fontsize = 12)
plt.show()

print(np.mean(P_dens[73000:]))
#Around 3400 secs a wire was fixed, and there is a big spike in power. 
#Started the plot after this moment 
plt.figure(dpi=1200)
if Line:
    plt.plot((t-3590)/3600,P_dens, linewidth = 0.5)
else:
    plt.scatter(t-3590,P_dens, linewidth = 1)

plt.ylim(0,0.6)
plt.xlim(0,2)
plt.xlabel('Time (hr)', fontsize = 12)
plt.ylabel('Power density (W/m$^2$)', fontsize = 12)
plt.tick_params(axis='both', direction='in', top='True', right='True')
plt.xticks(np.arange(0,2.1,0.5))
plt.show()